#!bpy
"""
Name: 'new_structure.py'
Blender: 2.69
Group: 'Chemestry'
Tooltip: 'One template of each type of atom'
"""

import bpy

redMaterial = bpy.data.materials.new('Material Red')
redMaterial.diffuse_color = (1, 0, 0)

greenMaterial = bpy.data.materials.new('Material Green')
greenMaterial.diffuse_color = (0, 1, 0)

blueMaterial = bpy.data.materials.new('Material Blue')
blueMaterial.diffuse_color = (0, 0, 1)

yellowMaterial = bpy.data.materials.new('Material Yellow')
yellowMaterial.diffuse_color = (1, 1, 0)


def atomset_generate():
    muster = [((-6, -3, 0), "H", blueMaterial, 0.32),
              ((-3.5, -3, 0), "C", greenMaterial, 0.91),
              ((0, -3, 0), "N", blueMaterial, 0.75),
              ((3, -3, 0), "P", yellowMaterial, 1.06),
              ((6, -3, 0), "O", redMaterial, 0.73)]
    # create object
    for atom in muster:
        bpy.ops.mesh.primitive_uv_sphere_add(segments=32,
                                             ring_count=18,
                                             size=atom[3],
                                             location=(atom[0]))
        obj = bpy.context.object
        # add material to the object
        obj.data.materials.append(atom[2])
        # smooth the surface
        bpy.ops.object.shade_smooth()
        obj.name = atom[1]

if __name__ == '__main__':
    # switch to object mode
    if bpy.ops.object.mode_set.poll():
        bpy.ops.object.mode_set(mode='OBJECT')

    # delete all mesh objects
    bpy.ops.object.select_by_type(type='MESH')
    bpy.ops.object.delete()

    atomset_generate()
